Conteníu

# Función DateSerial

Returns a Date value for a specified year, month, and day.

### Syntax:

    DateSerial (añu, mes, día)

### Return value:

Data

### Parameters:

Añu: Espresión entera qu'indica un añu. Tolos valores ente 0 y 99 interprétense como los años 1900-1999. P'años que s'atopen fuera d'esti rangu, tienen d'especificase los cuatro díxitos.

Mes: Espresión entera qu'indica'l mes del añu especificáu. El rangu aceutable va de 1 a 12.

Día: Espresión entera qu'indica'l día del mes especificáu. El rangu aceutáu ye de 1 a 31. Nun s'amuesa fallu cuando s'introduz un día inesistente pa un mes más pequeñu de 31 díes.

La función DateSerial devuelve'l númberu de díes ente'l 30 d'avientu de 1899 y la fecha dada. Esti valor pue usase pa calcular la diferencia ente dos dates.

The DateSerial function returns the data type Variant with VarType 7 (Date). Internally, this value is stored as a Double value, so that when the given date is 1900-01-01, the returned value is 2. Negative values correspond to dates before December 30, 1899 (not inclusive).

Si define una fecha que s'atopa fora del rangu aceutable, LibreOffice Basic devuelve un mensaxe de fallu.

Anque se define la función DateValue como cadena que contién la fecha, la función DateSerial evalúa tolos parámetros (añu, mes, día) como espresiones numbériques independientes.

### Error codes:

5 Llamada a procedimientu non válida

### Example:

      Sub ExampleDateSerial
      Dim lDate As Long
      Dim sDate As String
          lDate = DateSerial(1964, 4, 9)
          sDate = DateSerial(1964, 4, 9)
          MsgBox lDate ' devuelve 23476
          MsgBox sDate ' returns 1964-04-09 in ISO 8601 format
      End Sub